# -*- coding: utf-8 -*-
"""
Este script crea la estructura de base de datos de la aplicación.

@author: Esther Cuervo Fernández
"""

import sqlite3
import os
import sys

sqlite_file = 'fichero_bd.sqlite'    # nombre del fichero db
script_file = 'script_creacion.sql' # nombre del fichero sql 

if os.path.isfile(sqlite_file):
    print("La base de datos en el fichero %s ya existe" % sqlite_file)
    sys.exit(-1)
if not(os.path.isfile(script_file)):
    print("El script en ruta %s no existe" % script_file)
    sys.exit(-1)
    
# conectado al fichero. Si no existe lo crea
conn = sqlite3.connect(sqlite_file)
c = conn.cursor()

with open(script_file,'r') as f:   
    c.executescript(f.read())
f.close()

#Guardamos cambio y cerramos
conn.commit()
conn.close()