# -*- coding: utf-8 -*-

"""
Este paquete contiene las clases necesarias para obtener los documentos a partir de ficheros estructurados, y convertir el contenido de documentos de texto complejos en vectores que se puedan introducir a una red neuronal.

Clases:
    - SGMLParser: Parseador de ficheros estructurados. Contiene una sola función estática `parse`.
    - ConversorTexto: Esta clase convierte textos complejos en un vector de números enteros para su introducción en una red neuronal.
    - Normalizador: Implementa la normalización de vectores numéricos en el rango (-inf,inf) a un rango definido R [minR,maxR].
    
@author Esther Cuervo Fernández
"""

from .conversor_textos import *
from .normalizador import *
from .sgml_parser import *